%define name	klear
%define version	0.4.1
%define rel	1
%define release %mkrel %rel

%define section Multimedia/Video
%define title	klear
%define summary KDE Desktop application for watching DVB-C/T/S


Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
Source0:	http://tr0ll.net/kraus.tk/projects/klear/sources/%{name}-%{version}.tar.bz2
Group:		Video
BuildRequires:	kdelibs-devel libxine-devel libdvbpsi-devel
URL:		http://www.klear.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
Requires:	libxine1 >= 1.1

%description
Klear is a KDE application for recording video streams from your DVB
device and watching TV with all advantages of digital television (like
EPG, OSD, and so on). It runs under Linux with the usage of the KDE/QT
GUI-Framework from Trolltech. It uses a flexible video engine for playback.
An engine with libXine is included. It supports almost all DVB devices
supported by Linux, including all budget devices.

%prep
%setup -q

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/klear $RPM_BUILD_ROOT%{_bindir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Klear" longtitle="KDE DVB Application" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat media/hi32-app-klear.png > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat media/hi16-app-klear.png > $RPM_BUILD_ROOT/%_miconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat media/klear-icon-48x48.png > $RPM_BUILD_ROOT/%_liconsdir/%name.png

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
#%files -f %{name}.lang
%defattr(-,root,root)
%doc distfiles/README distfiles/changelog distfiles/COPYING distfiles/AUTHORS distfiles/BUGS
%{_bindir}/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
    
%changelog
* Mon Sep 12 2005 Marcel Pol <mpol@mandriva.org> 0.4.1-1mdk
- From AndyRTR <rpm@mandrivauser.de>
  - 0.4.1
  - drop patch1

* Thu Sep 01 2005 Marcel Pol <mpol@mandriva.org> 0.4-4mdk
- first cooker upload
- fix buildrequires

* Mon Aug 29 2005 Andreas Radke <andyrtr@laptop.home> 0.4-3mdk
- patch1 config.patch

* Sun Aug 28 2005 AndyRTR <rpm@mandrvauser.de> 0.4-2mdk
- initial cooker package
- added libdvbpsi4-devel to build-requires

* Thu Aug 25 2005 AndyRTR <rpm@mandrivauser.de> 0.4-1mud
- 0.4
- readded qmake
- added extra-path for configure

* Sat Jul 30 2005 AndyRTR <andreas.radke@freenet.de> 0.3-2rtr
- rebuild for new xine

* Fri Jul 15 2005 AndyRTR <andreas.radke@freenet.de> 0.3-1rtr
- 0.3
- changed description
- added large icon

* Tue Jul 05 2005 AndyRTR <andreas.radke@freenet.de> 0.2-1rtr
- 0.2
- makefile workaround
- fixed installation process using %%configure

* Thu Jun 30 2005 AndyRTR <andreas.radke@freenet.de> 0.2-0.20050630.1rtr
- CVS-20050630 with new features
- added %%mkrel

* Fri Jun 16 2005 AndyRTR <andreas.radke@freenet.de> 0.1-1rtr
- 0.1

* Mon Jun 13 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc2.1rtr
- 0.1RC2

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.3rtr
- CVS-20050528

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.2rtr
- CVS-20050526 with gcc-fix, static icons

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.1rtr
- 0.1RC1

* Mon Apr 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha4.2andyrtr
- rebuild for Mandriva 2005LE

* Thu Feb 03 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha4.1andyrtr
- new version

* Mon Jan 31 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha3.2andyrtr
- menu integration

* Sun Jan 30 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha3.2andyrtr
- Specfile adaptions for Mandrake
- rebuild along the Mandrake-RpmHowTo

* Sun Jan 09 2005 AndyRTR <andreas.radke@freenet.de> 0.1-1andyrtr
- innitial release made with checkinstall
